Fetch List of Attached Files in a BP

GET /ws/rest/service/v1/bp/record/file/list/P-0001?input={"bpname" : "<value>","record_no" : "<project Number>"}

If a project number is specified, the record is fetched from that project.

If a project number is not specified, the record is fetched from company-level BP.

Purpose

This web service enables the external application to fetch a list of attachments in a specific BP record in a:

  • Project/shell, based on the project/shell number.
  • Company, if the project/shell number is not available or has not been provided.

If there is a revision performed on any attached files, the list API returns the latest revised file details.

If any of the attached files are revised (at the record level, or at the line item level), the API list will contain all those revised files.

Note:

By design, there are no web services available for the Request for Bid (RFB) business process.

JSON input provides many options for fetching the data.

Request Parameters

Request parameters must be added with the above parameters. All parameters should be URL encoded.

Path Parameter

  • project_number: Specify the project number for the project that contains the BP records. If you do not specify the project number, the system will fetch the BP records at company level.
  • filter_condition: input= {"bpname" : "<value>", "record_no" : "<value>" }

The "bpname" and "record_no" are mandatory.

Response Format

A JSON object is returned in the following format.

{

"data": [],

"message": [],

"status": <REST status code value>

}

A successful response displays a status code 200.

A failed response displays a message with a status code.

Sample Request

GET /ws/rest/service/v1/bp/record/file/list/P-0001?input={"bpname" : "Purchase Orders","record_no" : "PO-0104"}

Where "P-0104" is the project number.

Get BP Record Attachment list Sample Response

{

"data": [

{

"bpname": "Purchase Orders",

"attachments": [

{

"issue_date": null,

"revision_no": null,

"file_name": "abc - Copy (3).txt",

"file_id": 13392,

"tab_name": "",

"publication_no": 8,

"title": null,

"file_size": 5

},

{

"issue_date": null,

"revision_no": null,

"file_name": "abc - Copy (4).txt",

"file_id": 13393,

"tab_name": "",

"publication_no": 12,

"title": null,

"file_size": 5

}

],

"detailTabs": [

{

"attachments": [

{

"issue_date": null,

"revision_no": null,

"file_name": "abc - Copy (5).txt",

"file_id": 13394,

"tab_name": "Line Items",

"publication_no": 11,

"title": null,

"file_size": 5

},

{

"issue_date": null,

"revision_no": null,

"file_name": "abc - Copy (6).txt",

"file_id": 13395,

"tab_name": "Line Items",

"publication_no": 11,

"title": null,

"file_size": 5

},

{

"issue_date": null,

"revision_no": null,

"file_name": "abc - Copy (7).txt",

"file_id": 13396,

"tab_name": "Line Items",

"publication_no": 11,

"title": null,

"file_size": 5

},

{

"issue_date": null,

"revision_no": null,

"file_name": "abc - Copy (8).txt",

"file_id": 13397,

"tab_name": "Line Items",

"publication_no": 8,

"title": null,

"file_size": 5

}

],

"tab_name": "Line Items"

}

],

"record_no": "PO-0104"

}

],

"message": [ "success" ],

"status": 200

}